%define name maniadrive
%define rname ManiaDrive
%define engine_name raydium
%define version 1.2
%define pre 0
%if %{pre}
%define release  %mkrel 0.%{pre}.3
%define fullversion %{version}-%{pre}
%else
%define release  %mkrel 12
%define fullversion %{version}
%endif
%define distname %{rname}-%{fullversion}-src
%define major 0
%define libname %mklibname %{name} %{major}

Summary: Arcade car game on acrobatic tracks
Name: %{name}
Version: %{version}
Release: %{release}
# svn export svn://raydium.org/raydium/trunk raydium-svn`date +%Y%m%d`
Source0: %{distname}.tar.bz2
Source1: %{name}.png
Patch0: raydium-1.01-svn20060728-build.patch
Patch1: ManiaDrive-1.1-src.dirs.patch
Patch3: ManiaDrive-1.1-src.safemode.patch
Patch4: ManiaDrive-1.1-src.home.patch
Patch5: ManiaDrive-1.2-src.fPIC.patch
Patch6: ManiaDrive-1.2-ode.patch
Patch7: ManiaDrive-1.2-key.patch
License: GPL
Group: Games/Arcade
Url: http://raydium.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: curl-devel
BuildRequires: jpeg-devel
BuildRequires: libxinerama-devel
BuildRequires: php-devel
BuildRequires: ode-devel
BuildRequires: oggvorbis-devel
BuildRequires: glew-devel
BuildRequires: freealut-devel
BuildRequires: openal-devel
Requires: maniadrive-data
Conflicts: maniadrive-data < 1.01-3mdv2007.0
Requires: glxinfo
Requires: php-curl
Requires: php-ini
Requires: php-soap
Requires: php-zlib


%description
ManiaDrive is a free clone of Trackmania, the great game from Nado
studio, and is an arcade car game on acrobatic tracks, with a quick
and nervous gameplay (tracks almost never exceed one minute), and
features a network mode, as the original.

Raydium is a game engine. It provides a set of functions which allow
quick and flexible games creation.
Functions covers things like player inputs (keyboard, mouse, joystick,
joypad, force feedback), rendering (3D objets, OSD (On Screen
Display)), time (a game must run at the exact same speed on every
computer), sound, ...

%prep
%setup -q -n %{distname}
%patch0 -p0 -b .build
%patch1 -p1 -b .dirs
%patch3 -p1 -b .safemode
%patch4 -p1 -b .home
%patch5 -p1 -b .fPIC
%patch6 -p1
%patch7 -p1

# php weird stuff, borrowed from thttpd-php.spec
cp /usr/src/php-devel/internal_functions.c .
cp %{_includedir}/php/ext/date/lib/timelib_config.h .
ln -s /usr/src/php-devel/ext .

%build
%make
for f in mania2 mania_drive mania_server; do
  # from odyncomp.sh
  gcc $f.c -g -Wall -DFORCE_LIBRAYDIUM -DBINDIR=\"%{_gamesbindir}\" %{optflags} -DGAMEDIR=\"%{_gamesdatadir}/%{name}\" -o $f.static libraydium.so `php-config --includes`
done

%install
rm -rf %{buildroot}
install -d %{buildroot}%{_libdir}
cp -a lib%{engine_name}.so.* %{buildroot}%{_libdir}
install -d %{buildroot}%{_gamesbindir}
install -m755 mania*.static %{buildroot}%{_gamesbindir}

# This may not be required on future versions of the intel dri driver
# Previously, %{_gamesbindir}/%{name} was a symlink to %{_gamesbindir}/mania_drive.static
# https://bugs.freedesktop.org/show_bug.cgi?id=28002
# https://bugs.freedesktop.org/show_bug.cgi?id=28069
cat > %{buildroot}%{_gamesbindir}/%{name} << EOF
\`glxinfo | grep -q 'OpenGL renderer string: Mesa'\` && export LIBGL_ALWAYS_INDIRECT=true
exec %{_gamesbindir}/mania_drive.static "\$@"
EOF
chmod +x %{buildroot}%{_gamesbindir}/%{name}

install -d %{buildroot}%{_gamesdatadir}/%{name}
install -m644 *.php %{buildroot}%{_gamesdatadir}/%{name}

cp -a rayphp %{buildroot}%{_gamesdatadir}/%{name}

install -D -m 644 %{SOURCE1} %{buildroot}%{_datadir}/icons/%{name}.png

# https://qa.mandriva.com/show_bug.cgi?id=37748
rm -f %{buildroot}%{_gamesdatadir}/%{name}/php.ini
ln -sf %{_sysconfdir}/php.ini %{buildroot}%{_gamesdatadir}/%{name}/php.ini
ln -sf %{_gamesdatadir}/%{name}/rayphp %{buildroot}%{_gamesdatadir}/%{name}/rayphp/rayphp

install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=ManiaDrive
Comment=Arcade car game on acrobatic tracks
Exec=soundwrapper %{_gamesbindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;ArcadeGame;X-MandrivaLinux-MoreApplications-Games-Arcade;
EOF

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_gamesbindir}/%{name}
%{_gamesbindir}/mania*.static
%{_libdir}/lib%{engine_name}.*
%dir %{_gamesdatadir}/%{name}/rayphp
%{_gamesdatadir}/%{name}/php.ini
%{_gamesdatadir}/%{name}/mania_*.php
%{_gamesdatadir}/%{name}/rayphp/*
%{_datadir}/icons/%{name}.png
%{_datadir}/applications/%{name}.desktop


%changelog
* Mon Dec 06 2010 Oden Eriksson <oeriksson@mandriva.com> 1.2-12mdv2011.0
+ Revision: 612811
- the mass rebuild of 2010.1 packages

* Tue May 11 2010 Paulo Andrade <pcpa@mandriva.com.br> 1.2-11mdv2010.1
+ Revision: 544527
+ rebuild (emptylog)

* Tue Apr 27 2010 Paulo Andrade <pcpa@mandriva.com.br> 1.2-10mdv2010.1
+ Revision: 539392
- CCBUG: 37748
- Change current directory to game directory so server work
- Correct a crash due to missing call to dInitODE
- Make the console work with backquote key
- Correct wrong paths in installed files

* Wed Oct 07 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.2-9mdv2010.1
+ Revision: 455745
- rebuild for new curl SSL backend

* Wed Feb 11 2009 Emmanuel Andry <eandry@mandriva.org> 1.2-9mdv2009.1
+ Revision: 339608
- rebuild

* Mon Jul 28 2008 Thierry Vignaud <tv@mandriva.org> 1.2-8mdv2009.0
+ Revision: 251829
- rebuild

* Sat Mar 08 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.2-6mdv2008.1
+ Revision: 182141
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Sun May 27 2007 Olivier Blin <oblin@mandriva.com> 1.2-5mdv2008.0
+ Revision: 31814
- do not install .so file not to require devel(libode) (got broken in last release)

* Wed May 02 2007 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.2-4mdv2008.0
+ Revision: 20559
- fix install of library symlinks to avoid annoying warnings whenever running ldconfig (#25065)
- use %%{optflags}


* Fri Feb 09 2007 Olivier Blin <oblin@mandriva.com> 1.2-3mdv2007.0
+ Revision: 118443
- buildrequire oggvorbis-devel
- build with freealut

* Sat Dec 02 2006 Olivier Blin <oblin@mandriva.com> 1.2-2mdv2007.1
+ Revision: 89928
- buildrequire curl-devel
- buildrequires libxinerama-devel
- buildrequire jpeg-devel
- require php-zlib
- add menu entry and maniadrive symlink

* Sun Sep 10 2006 Olivier Blin <oblin@mandriva.com> 1.2-2mdv2007.0
+ Revision: 60717
- build with -fPIC (required for x86_64)

* Tue Sep 05 2006 Olivier Blin <oblin@mandriva.com> 1.2-1mdv2007.0
+ Revision: 59885
- 1.2 (and drop merged shader patch)

* Mon Sep 04 2006 Olivier Blin <oblin@mandriva.com> 1.1-6mdv2007.0
+ Revision: 59673
- increase release
- require php-soap
- get story files from home directory
- disable php safe_mode in the game

* Mon Sep 04 2006 Olivier Blin <oblin@mandriva.com> 1.1-5mdv2007.0
+ Revision: 59663
- package mania_*.php files

* Sun Sep 03 2006 Olivier Blin <oblin@mandriva.com> 1.1-4mdv2007.0
+ Revision: 59634
- package rayphp files
- require php-curl

* Fri Sep 01 2006 Olivier Blin <oblin@mandriva.com> 1.1-3mdv2007.0
+ Revision: 59093
- increase release
- require maniadrive-data
- fix default group

* Fri Sep 01 2006 Olivier Blin <oblin@mandriva.com> 1.1-2mdv2007.0
+ Revision: 59034
- fix crash when shader are not supported (from SVN)
- bump release
- fix crash when shader are not supported (from SVN)
- fix binaries and game directory paths
- rename as maniadrive and update to 1.1
- rename as maniadrive
- initial Mandriva release
- Created package structure for raydium.

